%global dist_version 1.2.0-beta.2
%global debug_package %{nil}
%global provider github
%global provider_tld com
%global project containerd
%global repo containerd
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

%global commit      ce243288e27971e324363de8f322d221635a8521
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           docker-%{repo}
#Version:        %{dist_version}
Version:        1.2.0
Release:        %mkrel -c beta.2 2
Summary:        A daemon to control runC
License:        ASL 2.0
Group:		System/Configuration

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{dist_version}.tar.gz
#Source0:        https://%{import_path}/archive/%{commit}.tar.gzS

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4
BuildRequires:  git
BuildRequires:  btrfs-devel
BuildRequires:  pkgconfig(libseccomp)
Requires:	opencontainers-runc >= 1.0.0rc5

%description
containerd is a daemon to control runC, built for performance and density. 

containerd leverages runC's advanced features such as seccomp and user 
namespace support as well as checkpoint and restore for cloning and 
live migration of containers.

%prep
#%setup -q -n docker-%{commit}
%setup -q -n %{repo}-%{dist_version}

%build
#export DOCKER_GITCOMMIT="%{shortcommit}"
#export DOCKER_GITCOMMIT="%{shortcommit}/%{version}"

#ln -sf $(pwd) vendor/src/%{import_path}
# build docker-containerd
mv vendor src
mkdir -p src/github.com/containerd
ln -s $(pwd) src/github.com/containerd/containerd
GOPATH=$(pwd) make

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/* %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%license LICENSE
%doc MAINTAINERS NOTICE README.md 
%{_bindir}/*


%changelog
* Wed Oct 17 2018 bcornec <bcornec> 1.2.0-0.beta.2.2.mga6
+ Revision: 1321230
- update docker-containerd to upstream 1.2.0-beta.2 required by docker 18.06.1

* Fri May 12 2017 bcornec <bcornec> 0.2.8-1.mga6
+ Revision: 1100545
- Update to upstream 0.2.8 docker-containerd

* Sat Sep 24 2016 bcornec <bcornec> 0.2.3-1.mga6
+ Revision: 1055670
- Force a dep on the 1.0 branch of runc as the previous one doesn't work anymore
- Update docker-containerd to upstream 0.2.3

* Mon May 23 2016 bcornec <bcornec> 0.2.1-4.mga6
+ Revision: 1018009
- bump rel

* Mon May 23 2016 bcornec <bcornec> 0.2.1-3.mga6
+ Revision: 1018000
- remove restriction on arch

* Sun May 22 2016 bcornec <bcornec> 0.2.1-2.mga6
+ Revision: 1017693
- containerd requires runc

* Sun May 22 2016 bcornec <bcornec> 0.2.1-1.mga6
+ Revision: 1017668
- Create a package for docker-containerd which is now needed by docker >= 1.11
- Created package structure for docker-containerd.

